POST
/v1/list-incomes
Needs an API key with the read scope.
Body parameters
-
startDatestringStarting date to be applied to date filter. Should be formatted in
YYYY-MM-DDformat -
endDatestringEnd date to be applied to date filter. Should be formatted in
YYYY-MM-DDformat -
customerIdstring32-character unique ID to filter a specific business entity. If you don't know the ID, you can also provide
customerCodeinstead of this field. If both of them are provided,customerIdwill be used only. -
customerCodestringUser-generated custom unique code to filter a specific business entity. If
customerIdis also provided, it will override this filter. -
tagNamestringName of the tag to be included in the filtering. Case sensitive. It should exactly match with the name in the Nuvio Platform.
-
projectNamestringName of the project to be included in the filtering. Case sensitive. It should exactly match with the name in the Nuvio Platform.
-
projectCodestringUser generated code of the project to be included in the filtering. Case sensitive. It should exactly match with the code in the Nuvio Platform.
-
paymentStatusstringSelect one of the enum values to filter specific incomes that matches with required payment status.
Returns
The incomes of the access token's company that match.
-
401 - No usable
Authorization: Bearer {token}header (1002). -
403 - The access token is unknown, or lacks the scope this route needs (1001).